#include <iostream>

using namespace std;
int zbir(int c[],int m,int p){
    int i,br=0;
    for(i=0;i<m;i++){
        if(c[i]==p){
            br++;
        }

    }
    return br;
}
int main()
{
    int n,i,j=0,br=0,p,t=0,z=0;
    cin>>n;
    int a[1000];
    int b[1000];
    int c[1000];
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    for(i=0;i<n;i++){
        cin>>b[i];
    }
    for(i=0;i<n;i++){
        cin>>c[i];
    }
    for(i=0;i<n;i++){
        for(j=0;j<n;j++){
            if(b[j]==a[i]){
                p=j+1;
                br+=zbir(c,n,p);
            }
        }
    }
    cout<<br;
    return 0;
}